<template>
  <div class="new-page" :style="`min-height: ${pageMinHeight}px`">
    <h1>{{$t('content')}}</h1>
  </div>
</template>

<script>
  import {mapState} from 'vuex'
  import {getRoles} from '@/services/user'
  //import {mapMutations} from 'vuex'
  export default {
    name: 'Demo',
    i18n: require('./i18n'),
    data() {
      return {
      }
    },
    created:function(){
      this.getRoles()
    },
    computed: {
      ...mapState('setting', ['pageMinHeight']),
      desc() {
        return this.$t('description')
      }
    },
    methods: {
      //获取角色
      getRoles(){           
        let usercode=this.$store.state.account.user.staffCode
        console.info('usercode',usercode)
        getRoles(usercode).then(res=>{
          console.info('getRoles res',res)
           //console.info('process.env.NODE_ENV',process.env.NODE_ENV)
          //console.log('getRoles res',res)
          //console.warn('getRoles res',res)
          //console.error('getRoles res',res)
        })
      }
    }
  }
</script>

<style scoped lang="less">
@import "index";
</style>